![ML](https://github.com/TirendazAcademy/Machine-Learning-Tutorial/blob/main/Images/ML-tutorials.png)

[![](https://img.shields.io/badge/Python-blue?&style=plastic&logo=python&logoColor=white)]()
[![](https://img.shields.io/badge/Pandas-navy?style=plastic&logo=pandas&logoColor=white)]()
[![](https://img.shields.io/badge/Numpy-black?style=plastic&logo=numpy&logoColor=white)]()
[![](https://img.shields.io/badge/Matplotlib-yellow?style=plastic&logo=matplotlib&logoColor=white)]()
[![](https://img.shields.io/badge/Seaborn-purple?style=plastic&logo=seaborn&logoColor=white)]()
[![](https://img.shields.io/badge/ScikitLearn-darkgreen?style=plastic&logo=scikit-learn&logoColor=white)]()

Welcome to the Machine Learning with Python repository! This repository is designed to be a comprehensive resource for anyone looking to learn about machine learning using Python.

This repo contains the jupyter notebooks and datasets I used on the [Tirendaz Akademi Youtube](https://www.youtube.com/c/TirendazAkademi) channel. In these tutorials, I used Pandas for data preprocessing, Numpy for multidimensional arrays and matrix operations, Matplotlib and Seaborn for data visualization, Scikit-Learn to implement machine learning algorithms. Whether you're a beginner or an experienced programmer, this repo has something for everyone.

The repo is organized into different sections, each focusing on a specific topic related to machine learning. You'll find sections on data preprocessing, regression, classification, clustering, and more. Each section contains a variety of resources, including Jupyter notebooks, Python scripts, and links to external resources.

Whether you're looking to build predictive models, perform data analysis, or just learn more about machine learning, this repo has everything you need to get started. So dive in and start learning today!

Let me know if you have any questions. If you enjoy these notebooks and videos, don't forget to give a star ✨. 

# [![](https://img.shields.io/badge/YouTube-Turkish-deeppink?&logo=youtube&logoColor=white)](https://www.youtube.com/watch?v=7p-an2KTO5o&list=PLfMRLSpipmfuumcvO3fObVAUpSqYAcZmF)

- [HOW TO CREATE A MACHINE LEARNING MODEL](https://www.youtube.com/watch?v=4gy_tt9l0fE&list=PLfMRLSpipmfuumcvO3fObVAUpSqYAcZmF&index=3)
- [SCIKIT-LEARN TUTORIAL-1](https://www.youtube.com/watch?v=glcVaiuQYK4&list=PLfMRLSpipmfuumcvO3fObVAUpSqYAcZmF&index=4)
- [SCIKIT-LEARN TUTORIAL-2](https://www.youtube.com/watch?v=fCoGvpbEtYo&list=PLfMRLSpipmfuumcvO3fObVAUpSqYAcZmF&index=5)
- [FEATURE ENGINEERING](https://www.youtube.com/watch?v=zrNDviBZKgA&list=PLfMRLSpipmfuumcvO3fObVAUpSqYAcZmF&index=6)
- [K-NEAREST NEIGHBOR (KNN)](https://www.youtube.com/watch?v=IlMzkTcIqjA&list=PLfMRLSpipmfuumcvO3fObVAUpSqYAcZmF&index=7)
- [LINEAR REGRESSION](https://www.youtube.com/watch?v=gFzq_oz_mSQ&list=PLfMRLSpipmfuumcvO3fObVAUpSqYAcZmF&index=8)
- [LINEAR REGRESSION in ACTION](https://www.youtube.com/watch?v=gFzq_oz_mSQ&list=PLfMRLSpipmfuumcvO3fObVAUpSqYAcZmF&index=8)
- [RIDGE AND LASSO REGRESSION](https://www.youtube.com/watch?v=9SUXFv8941A&list=PLfMRLSpipmfuumcvO3fObVAUpSqYAcZmF&index=9)
- [LINEAR MODELS FOR CLASSIFICATION](https://www.youtube.com/watch?v=boL4lvARJfc&list=PLfMRLSpipmfuumcvO3fObVAUpSqYAcZmF&index=10)
- [LOGISTIC REGRESSION in ACTION](https://www.youtube.com/watch?v=Cb77_3veTTU&list=PLfMRLSpipmfuumcvO3fObVAUpSqYAcZmF&index=11)
- [NAIVE BAYES CLASSIFICATION](https://www.youtube.com/watch?v=Nj_vkiubCoM&list=PLfMRLSpipmfuumcvO3fObVAUpSqYAcZmF&index=12)
- [SUPPORT VECTOR MACHINES](https://www.youtube.com/watch?v=yx3zkenooN0&list=PLfMRLSpipmfuumcvO3fObVAUpSqYAcZmF&index=13)
- [DECISION TREES](https://www.youtube.com/watch?v=k1liepnnSjA&list=PLfMRLSpipmfuumcvO3fObVAUpSqYAcZmF&index=14)
- [ENSEMBLE LEARNING](https://www.youtube.com/watch?v=KaBxQFJZTVQ&list=PLfMRLSpipmfuumcvO3fObVAUpSqYAcZmF&index=15)
- [ARTIFICIAL NEURAL NETWORK](https://www.youtube.com/watch?v=QUp1nVyBEic&list=PLfMRLSpipmfuumcvO3fObVAUpSqYAcZmF&index=16)
- [DATA SCALING](https://www.youtube.com/watch?v=ZLUy5YeTbWA&list=PLfMRLSpipmfuumcvO3fObVAUpSqYAcZmF&index=17)
- [PRINCIPAL COMPONENT ANALYSIS]()
- [MANIFOLD LEARNING](https://www.youtube.com/watch?v=xJsNVzo_xAs&list=PLfMRLSpipmfuumcvO3fObVAUpSqYAcZmF&index=18)
- [K-MEANS CLUSTERING](https://www.youtube.com/watch?v=5aUPhfjcuiA&list=PLfMRLSpipmfuumcvO3fObVAUpSqYAcZmF&index=20)
- [AGGLOMERATIVE-HIERARCHICA -DBSCAN CLUSTERING](https://www.youtube.com/watch?v=6BcJxBE5J5I&list=PLfMRLSpipmfuumcvO3fObVAUpSqYAcZmF&index=21)
- [GAUSSIAN MIXTURE MODELS](https://www.youtube.com/watch?v=_9wobRYDNnQ&list=PLfMRLSpipmfuumcvO3fObVAUpSqYAcZmF&index=22)
- [MODEL EVALUATION](https://www.youtube.com/watch?v=c-qHZb_cfms&list=PLfMRLSpipmfuumcvO3fObVAUpSqYAcZmF&index=23)
- [MODEL IMPROVEMENT](https://www.youtube.com/watch?v=S1nxwkTJpo0&list=PLfMRLSpipmfuumcvO3fObVAUpSqYAcZmF&index=24)
- [EVALUATION METRICS](https://www.youtube.com/watch?v=5U8hc4irdbQ&list=PLfMRLSpipmfuumcvO3fObVAUpSqYAcZmF&index=25)
- [PIPELINES](https://www.youtube.com/watch?v=8UMDSfoi2KA&list=PLfMRLSpipmfuumcvO3fObVAUpSqYAcZmF&index=26)
- [TEXT ANALYSIS](https://www.youtube.com/watch?v=JnAOuZ94y68&list=PLfMRLSpipmfuumcvO3fObVAUpSqYAcZmF&index=27)
- [FEATURE ENGINEERING](https://www.youtube.com/watch?v=Gh4DijnuX0o)
- [FEATURE SELECTION](https://www.youtube.com/watch?v=857SKdW-Pvg&t=4s)
- [INTRODUCTION MACHINE LEARNING](https://www.youtube.com/watch?v=146vch4ZZ14)

Let's connect [YouTube](http://youtube.com/tirendazacademy) | [Medium](http://tirendazacademy.medium.com) | [Twitter](http://twitter.com/tirendazacademy) | [Instagram](https://www.instagram.com/tirendazacademy) |[GitHub](http://github.com/tirendazacademy) | [Linkedin](https://www.linkedin.com/in/tirendaz-academy) | [Kaggle](https://www.kaggle.com/tirendazacademy) 😎

Happy learning ... ✌️ 

 
